
D4Science Infrastructure - Task #110

Task # 897 (Closed): Install and configure a couchdb cluster 

Create 3 Virtual Machine for developement to host new noSQL Db cluster

May 15, 2015 06:40 PM - Luca Frosini

Status: Closed Start date: Jun 19, 2015

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version: CouchDB Deployment   

Infrastructure: Development   

Description

Please create the new machine as nodeXX.d.d4science.org

Related issues:

Related to D4Science Infrastructure - Task #896: Please create a testing clus... Closed Oct 06, 2015 Oct 16, 2015

History

#1 - May 15, 2015 06:50 PM - Luca Frosini

- Target version changed from 27 to zz - Redesign Accounting

#2 - Jun 15, 2015 11:58 PM - Andrea Dell'Amico

Do we have a hint about the couchdb architecture that is to be implemented?

#3 - Jun 16, 2015 11:22 AM - Luca Frosini

I'm ready for testing CouchDB.

I'm going to read the deployment documentation for production environment to decide with you the right strategy for us.

#4 - Jun 19, 2015 02:17 PM - Luca Frosini

Reference for couchdb can be found here

http://docs.couchdb.org/en/latest/cluster/theory.html

#5 - Jun 19, 2015 03:13 PM - Andrea Dell'Amico

The VMs will be: couch{01:03}-d4s.d4science.org.

The same cluster will serve devel and production.

#6 - Jun 19, 2015 03:16 PM - Andrea Dell'Amico

The latest stable version has a PPA, here: https://launchpad.net/~couchdb/+archive/ubuntu/stable

#7 - Jun 23, 2015 04:57 PM - Andrea Dell'Amico

The three machines are configured. There is an admin user.

#8 - Jun 23, 2015 05:40 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#9 - Jun 23, 2015 05:40 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

#10 - Jun 24, 2015 04:46 PM - Andrea Dell'Amico

- Status changed from Feedback to In Progress

couchdb 1.6 is too limited and its replica mechanism very fragile.

The still unreleased 2.0 version has a better clustering system and supports shards. We decided to install the 2.0 version from sources and work on

that.
A fourth db node is needed.

#11 - Jul 03, 2015 03:56 PM - Andrea Dell'Amico

couchdb 2.0 is still too immature to be used.

There's a single couchdb 1.6.1 instance answering at http://accounting-d4s.d4science.org:5984/ that can be used to test the new accounting

framework.

We will switch to couchdb 2.0 when it will become usable.

#12 - Jul 07, 2015 10:09 AM - Luca Frosini

- Target version changed from zz - Redesign Accounting to zz - Accouting Facility

#13 - Sep 03, 2015 09:50 AM - Luca Frosini

- Status changed from In Progress to Closed

#14 - Sep 03, 2015 10:25 AM - Tommaso Piccioli

hosts couch{01:04}-d4s.d4science.org still needed?

#15 - Sep 03, 2015 10:33 AM - Andrea Dell'Amico

They'll be needed for the production cluster when couchdb 2 will be ready. Until then they can be shut down or even removed

#16 - Oct 06, 2015 05:14 PM - Andrea Dell'Amico

- Status changed from Closed to In Progress

couchdb01-d4s and couchdb-02-d4s are becoming the production couchdb servers. The two other machines will be part of the dev/preproduction

cluster, see #896

#17 - Oct 06, 2015 05:15 PM - Andrea Dell'Amico

- Related to Task #896: Please create a testing cluster for couchdb added

#18 - Oct 06, 2015 05:21 PM - Andrea Dell'Amico

- Parent task set to #897

#19 - Oct 06, 2015 05:21 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

#20 - Oct 08, 2015 04:51 PM - Luca Frosini

- Start date set to Jun 19, 2015

due to changes in a related task

#21 - Oct 27, 2015 03:27 PM - Luca Frosini

- Status changed from Closed to In Progress

- Target version changed from zz - Accouting Facility to CouchDB Deployment

#22 - Oct 27, 2015 03:27 PM - Luca Frosini

- Status changed from In Progress to Closed
